net.sf.jasperreports.engine.util

## Class BreakIteratorSplitCharacter.ArrayCharIterator

- java.lang.Object
- - net.sf.jasperreports.engine.util.BreakIteratorSplitCharacter.ArrayCharIterator

- All Implemented Interfaces:
    java.lang.Cloneable, java.text.CharacterIterator
  Enclosing class:
    BreakIteratorSplitCharacter

      protected static class BreakIteratorSplitCharacter.ArrayCharIterator
      extends java.lang.Object
      implements java.text.CharacterIterator

- - ### Field Summary

    - ### Fields inherited from interface java.text.CharacterIterator

      `DONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BreakIteratorSplitCharacter.ArrayCharIterator(char[] chars, int start, int end)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `char` | `current()`
    `char` | `first()`
    `int` | `getBeginIndex()`
    `int` | `getEndIndex()`
    `int` | `getIndex()`
    `char` | `last()`
    `char` | `next()`
    `char` | `previous()`
    `char` | `setIndex(int position)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BreakIteratorSplitCharacter.ArrayCharIterator

          public BreakIteratorSplitCharacter.ArrayCharIterator(char[] chars,
                                                       int start,
                                                       int end)

  - ### Method Detail

    - #### first

          public char first()

      Specified by:
        `first` in interface `java.text.CharacterIterator`

    - #### last

          public char last()

      Specified by:
        `last` in interface `java.text.CharacterIterator`

    - #### setIndex

          public char setIndex(int position)

      Specified by:
        `setIndex` in interface `java.text.CharacterIterator`

    - #### current

          public char current()

      Specified by:
        `current` in interface `java.text.CharacterIterator`

    - #### next

          public char next()

      Specified by:
        `next` in interface `java.text.CharacterIterator`

    - #### previous

          public char previous()

      Specified by:
        `previous` in interface `java.text.CharacterIterator`

    - #### getBeginIndex

          public int getBeginIndex()

      Specified by:
        `getBeginIndex` in interface `java.text.CharacterIterator`

    - #### getEndIndex

          public int getEndIndex()

      Specified by:
        `getEndIndex` in interface `java.text.CharacterIterator`

    - #### getIndex

          public int getIndex()

      Specified by:
        `getIndex` in interface `java.text.CharacterIterator`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `java.text.CharacterIterator`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com